From 43268795e09c91ef7cc8dbef3cb1ddfc5c2bf686 Mon Sep 17 00:00:00 2001
From: "Bryn M. Reeves" <bmr@redhat.com>
Date: Fri, 31 Jan 2014 16:03:31 +0000
Subject: [PATCH 04/72] Fix cluster postproc regression

Commit 4ab4b08 inadvertently removed the postprocessing rules for
luci configuration. Revert that part of the commit.

Signed-off-by: Bryn M. Reeves <bmr@redhat.com>
---
 sos/plugins/cluster.py | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/sos/plugins/cluster.py b/sos/plugins/cluster.py
index c2ce42b..0fc4ded 100644
--- a/sos/plugins/cluster.py
+++ b/sos/plugins/cluster.py
@@ -119,6 +119,8 @@ class Cluster(Plugin, RedHatPlugin):
             self.do_file_sub(cluster_conf,
                         r"(\s*\<fencedevice\s*.*\s*passwd\s*=\s*)\S+(\")",
                         r"\1%s" %('"***"'))
+        for luci_cfg in glob("/var/lib/luci/etc/*.ini*"):
+            self.do_file_sub(luci_cfg, r"(.*secret\s*=\s*)\S+", r"\1******")
         self.do_cmd_output_sub("corosync-objctl",
                         r"(.*fence.*\.passwd=)(.*)",
                         r"\1******")
-- 
1.9.3

